#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# MIT License
#
# Copyright (c) 2020 Louis Richard
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so.

"""__init__.py
@author: Louis Richard
"""

# @Louis Richard
from .split_vs import split_vs
from .list_files import list_files
from .get_ts import get_ts
from .get_dist import get_dist
from .get_data import get_data
from .db_get_ts import db_get_ts
from .fk_power_spectrum_4sc import fk_power_spectrum_4sc
from .lh_wave_analysis import lh_wave_analysis
from .whistler_b2e import whistler_b2e
from .get_feeps_energy_table import get_feeps_energy_table
from .get_feeps_active_eyes import get_feeps_active_eyes
from .get_feeps_oneeye import get_feeps_oneeye
from .get_feeps_omni import get_feeps_omni
from .get_feeps_alleyes import get_feeps_alleyes
from .read_feeps_sector_masks_csv import read_feeps_sector_masks_csv
from .feeps_split_integral_ch import feeps_split_integral_ch
from .feeps_remove_sun import feeps_remove_sun
from .calc_feeps_omni import calc_feeps_omni
from .feeps_spin_avg import feeps_spin_avg
from .feeps_pitch_angles import feeps_pitch_angles
from .calc_feeps_pad import calc_feeps_pad
from .get_eis_allt import get_eis_allt
from .get_eis_omni import get_eis_omni
from .remove_idist_background import remove_idist_background
from .psd_moments import psd_moments
from .rotate_tensor import rotate_tensor
from .calculate_epsilon import calculate_epsilon
from .dft_time_shift import dft_time_shift
from .estimate_phase_speed import estimate_phase_speed
from .fft_bandpass import fft_bandpass
from .get_pitch_angle_dist import get_pitch_angle_dist
from .make_model_vdf import make_model_vdf
from .psd_rebin import psd_rebin
from .load_ancillary import load_ancillary
from .vdf_omni import vdf_omni
from .spectr_to_dataset import spectr_to_dataset
from .vdf_to_deflux import vdf_to_deflux
from .vdf_to_dpflux import vdf_to_dpflux
from .dpflux_to_vdf import dpflux_to_vdf
from .deflux_to_vdf import deflux_to_vdf
from .copy_files import copy_files
from .vdf_to_e64 import vdf_to_e64
from .current_location import current_location
from .dsl2gse import dsl2gse
from .dsl2gsm import dsl2gsm
from .get_hpca_dist import get_hpca_dist
from .get_hpca_pad import get_hpca_pad
from .calc_hpca_anodes import calc_hpca_anodes
from .spin_hpca_avg import spin_hpca_avg
